apiVersion: apps/v1
kind: Deployment
metadata:
  name: server-demo-v2-dp
  namespace: service-mesh-test-service-mesh
spec:
  replicas: 1
  selector:
    matchLabels:
      app: server-demo
      version: v2
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      annotations:
        sidecar.istio.io/inject: 'true'
      labels:
        app: server-demo
        version: v2
    spec:
      containers:
      - image: quay.io/openshift-cnv/qe-cnv-service-mesh-server-demo:v2.0
        imagePullPolicy: Always
        name: server-demo-v2-dp
      restartPolicy: Always
